#!@bashpath@

################################################################################
##   db_wrapper is a small script that calls db_update to avoid too much 
##   effort with configuration and sudo settings
##										
##   Copyright (c) 2003 - 2004 Cable & Wireless	<ripe-software.cw.net>		
##   Copyright (c) 2003 - 2004 Tobias Cremer <ipadm@de.cw.net>									
##										
##										
##   This file is part of ripe-ipadmin.						
##										
##   ripe-ipadmin is free software; you can redistribute it and/or modify	
##   it under the terms of the GNU General Public License as published by	
##   the Free Software Foundation; either version 2 of the License, or		
##   (at your option) any later version.					
##										
##   ripe-ipadmin is distributed in the hope that it will be useful,		
##   but WITHOUT ANY WARRANTY; without even the implied warranty of		
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		
##   GNU General Public License for more details.				
##										
##   You should have received a copy of the GNU General Public License		
##   along with ripe-ipadmin; if not, write to the Free Software		
##   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	
##										
##    $Id: db_wrapper.sh,v 1.5 2004/12/03 20:56:30 tcremer Exp $			
##										
################################################################################

####################################################
# This script is intended to be a wrapper between  #
# db_update and the user because db_update fails   #
# when a there are logfiles created by another user#
# as that one who invoced db_update the first      #
# time a day.                                      #
#                     				   #
# Be sure to call it only with sudo and the user   #
# which is generally doing updates!		   #
#						   #
####################################################

## Read config
. @confdir@/db_wrapper.conf

# Define file to be read by $1

if [ "$1" == '' ]; then

	echo "You have to supply one file from which the object is to be read!"
	exit 1

fi


## Otherwise call db_update, the file and the config

$DBUPDATE -c $DBCONFIG -f $1



## EOF
