#!@perlpath@

##################################################################################
##                                                                              ##
##   Copyright (c) 2000 - 2004 Arnd Vehling <av@nethead.de>                     ##
##   Copyright (c) 2003 - 2004 Cable & Wireless <ripe-software.cw.net>          ##
##                                                                              ##
##                                                                              ##
##                                                                              ##
##   This file is part of ripe-ipadmin.                                         ##
##                                                                              ##
##   ripe-ipadmin is free software; you can redistribute it and/or modify       ##
##   it under the terms of the GNU General Public License as published by       ##
##   the Free Software Foundation; either version 2 of the License, or          ##
##   (at your option) any later version.                                        ##
##                                                                              ##
##   ripe-ipadmin is distributed in the hope that it will be useful,            ##
##   but WITHOUT ANY WARRANTY; without even the implied warranty of             ##
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              ##
##   GNU General Public License for more details.                               ##
##                                                                              ##
##   You should have received a copy of the GNU General Public License          ##
##   along with ripe-ipadmin; if not, write to the Free Software                ##
##   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  ##
##                                                                              ##
##    $Id: touchobj.pl,v 1.4 2004/11/17 14:48:49 tcremer Exp $                     ##
##                                                                              ##
##################################################################################


use Time::localtime;
use Time::gmtime;
$ct = ctime();


# Include configuration file
require "@confdir@/touchobj.conf"; 

# Read Object in one gulp
undef $/;

# Open, read n close Dummy Object
open( DUMMY, $DUMMYOBJ ) || die( "Cant open Dummy-Object: $DUMMYOBJ\n" );

# Gulp
$OBJ = <DUMMY>;

close( DUMMY );

#
# Processing starts here
#

# First we replace the changed line
$OBJ =~ s/changed:.*?\n/$CHANGED\n/si;

# Now we replace the comment
$OBJ =~ s/comment:.*?\n/$OBJTAG\n/si;

# Last we add the password
$OBJ = $OBJ."$PASSWORD\n";

# print $OBJ;

# Now update object 
#system( $DBUPDATE ) || die( "Failed to update dummy object using $DBUPDATE\n" ); 
open( UPDATE, $DBUPDATE ) || die( "Failed to start $DBUPDATE\n" ); 

print UPDATE $OBJ;

close( UPDATE );
